Bug 246598 - yum replaces digikamimageplugins.x86_64 0.9.1-1.fc7 with digikam.i386
yum replaces digikamimageplugins.x86_64 0.9.1-1.fc7 with digikam.i386
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 07:31 EDT by Roderick Johnstone
Modified: 2014-01-21 17:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-06 16:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of yum -d 6 update (149.22 KB, application/octet-stream)
2007-07-03 07:31 EDT, Roderick Johnstone
no flags Details

  None (edit)
Description Roderick Johnstone 2007-07-03 07:31:58 EDT
Description of problem:
yum update tries to install digikam.i386 when replacing
digikamimageplugins.x86_64 0.9.1-1.fc7.

Version-Release number of selected component (if applicable):

yum-3.2.1-1.fc7
with patch from BZ#246078, and additional patch from comment #9 of #246078  (but
it was the same before I applied any patch).

How reproducible:
Every time

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:
Installing:
 digikam                 x86_64     0.9.2-1.fc7      updates            10 M
     replacing  digikamimageplugins.x86_64 0.9.1-1.fc7

 digikam                 i386       0.9.2-1.fc7      updates            10 M
     replacing  digikamimageplugins.x86_64 0.9.1-1.fc7


Expected results:
Installing:
 digikam                 x86_64     0.9.2-1.fc7      updates            10 M
     replacing  digikamimageplugins.x86_64 0.9.1-1.fc7


Additional info:
Installing digikam.i386 then sucks in other unwanted i386 packages.
Comment 1 Roderick Johnstone 2007-07-03 07:31:58 EDT
Created attachment 158425 [details]
output of yum -d 6 update
Comment 2 Jeremy Katz 2007-07-06 16:23:16 EDT
This is the right thing given that obsoletes aren't arch-specific

Note You need to log in before you can comment on or make changes to this bug.